version: "3.7"

services:
  server:
    image: linuxserver/plex:1.43.0@sha256:a27f1ce1e1d14cd3627ed217f042bf8de0f796ed274fb27b2dc971ae22a64b95
    restart: on-failure
    hostname: "${DEVICE_HOSTNAME}"
    network_mode: host
    environment:
      - PUID=1000
      - PGID=1000
      - VERSION=docker
    # В настоящее время работает в режиме хост-сети, чтобы обеспечить обнаружение UPnP (сервер Plex DLNA) и чтобы Docker не жаловался на использование порта 1900/udp (может быть общим, например, с помощью Home Assistant).
    # порты:
    #   - 32400:32400
    #   # Плекс Компаньон
    #   - 3005:3005/tcp
    #   # Roku через Plex Companion
    #   - 8324:8324/tcp
    #   # Сервер Plex DLNA
    #   - 32469:32469/tcp
    #   - 1900:1900/udp
    #   # Обнаружение сети
    #   - 32410:32410/udp
    #   - 32412:32412/udp
    #   - 32413:32413/udp
    #   - 32414:32414/udp
    volumes:
      - ${APP_DATA_DIR}/data/config:/config
      - ${APP_DATA_DIR}/data/transcode:/transcode
      - ${DFWEBOS_ROOT}/data/storage/downloads:/downloads
